#!/bin/sh
set -eu

# SWIFT/T: INSTALL DEBS

# This will install the 4 Swift/T modules as Debian packages

# First, install dependencies from APT
sudo apt-get install ant mpich swig tcl-dev zsh

# The correct version numbered are pasted here by M4:
CUTILS_VERSION=0.5.3
ADLBX_VERSION=0.8.0
TURBINE_VERSION=1.0.0
STC_VERSION=0.7.3

# Ensure we are in the directory containing this script
cd $( dirname $0 )

# These Debian packages are in the swift-t-debs-*.tar.gz distribution
sudo dpkg -i exmcutils-dev_${CUTILS_VERSION}_amd64.deb
sudo dpkg -i adlbx-dev_${ADLBX_VERSION}_amd64.deb
sudo dpkg -i turbine_${TURBINE_VERSION}_amd64.deb
sudo dpkg -i stc_${STC_VERSION}_amd64.deb
